## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec



Name:           python-xattr
Version:        0.10.0
Release:        %autorelease
Summary:        Python wrapper for extended filesystem attributes

License:        MIT
URL:            https://github.com/xattr/xattr
Source:         %{url}/archive/v%{version}/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  pytest

# Not needed for multilib
ExcludeArch: %{ix86}

%global _description %{expand:
Extended attributes extend the basic attributes of files and directories in the
file system. They are stored as name:data pairs associated with file system
objects (files, directories, symlinks, etc).
}

%description %_description

%package -n python3-xattr
Summary:        %{summary}

%description -n python3-xattr %_description


%prep
%autosetup -p1 -n xattr-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files xattr


%check
# in Copr, skip tests that fail with OSError: [Errno 95] Operation not supported
%pytest %{?copr_projectname:-k 'not (test_attr_fs_encoding_ascii or test_attr_fs_encoding_unicode or test_update)'}


%files -n python3-xattr -f %{pyproject_files}
%doc CHANGES.txt README.rst TODO.txt
%license LICENSE.txt
%{_bindir}/xattr


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.10.0-10
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.10.0-9
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.10.0-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 26 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.10.0-2
- Exclude i686 architecture

* Wed Oct 26 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 0.10.0-1
- Initial version
## END: Generated by rpmautospec
